#ifndef WINDOW_H
#define WINDOW_H

#include<QApplication>
#include<QWidget>
#include<QPushButton>
#include<QGridLayout>
#include<QMessageBox>
#include<QVBoxLayout>
#include<QIconSet>
#include<QButtonGroup>
#include<QGroupBox>
#include <QPalette>
#include <QDesktopWidget>

#include "CatViewList.h"
#include "CatView.h"


class Window : public QWidget
{
	Q_OBJECT
	
	public:
		Window(QWidget *parent = 0);
//		~Window();	
	private slots:
		//QPushButton *changeIcon();
		//QIcon *setIcon(); 
		QAbstractButton *setIcon(int);
		void CreateButtons();
		void resetLayout();
		void resetArray();
		void drawCat();
		void defaultFilled();
		void swapImages(int,int,int,int);
		void catGame(bool);
		void newGame();
		bool moveCat();
		int calcShortestPathes(CatViewList& shortestPathes); 
		void getNeighbors(int x, int y, CatView catViewArr[]);
		CatView getNeighborForDirection(int direction, int x, int y);
		bool markPlace(int x, int y);
		void escapePos();
		void helpfun();
		void exitfun();
		void SetBackgroundImage();
	//void updateNewGame();
		
		
	private:
		//QPushButton *btn;
};
#endif
